Mailinglist Archive: opensuse-security-announce (73 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:0850-1: important: Security update for perl
openSUSE Security Update: Security update for perl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0850-1
Rating: important
References: #1171863 #1171864 #1171866 #1172348
Cross-References: CVE-2020-10543 CVE-2020-10878 CVE-2020-12723

Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that solves three vulnerabilities and has one
errata is now available.

Description:

This update for perl fixes the following issues:

- CVE-2020-10543: Fixed a heap buffer overflow in regular expression
compiler which could have allowed overwriting of allocated memory with
attacker's data (bsc#1171863).
- CVE-2020-10878: Fixed multiple integer overflows which could have
allowed the insertion of instructions into the compiled form of Perl
regular expression (bsc#1171864).
- CVE-2020-12723: Fixed an attacker's corruption of the intermediate
language state of a compiled regular expression (bsc#1171866).
- Fixed a bad warning in features.ph (bsc#1172348).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-850=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

perl-5.26.1-lp151.9.6.1
perl-base-5.26.1-lp151.9.6.1
perl-base-debuginfo-5.26.1-lp151.9.6.1
perl-debuginfo-5.26.1-lp151.9.6.1
perl-debugsource-5.26.1-lp151.9.6.1

- openSUSE Leap 15.1 (x86_64):

perl-32bit-5.26.1-lp151.9.6.1
perl-32bit-debuginfo-5.26.1-lp151.9.6.1
perl-base-32bit-5.26.1-lp151.9.6.1
perl-base-32bit-debuginfo-5.26.1-lp151.9.6.1

- openSUSE Leap 15.1 (noarch):

perl-doc-5.26.1-lp151.9.6.1


References:

https://www.suse.com/security/cve/CVE-2020-10543.html
https://www.suse.com/security/cve/CVE-2020-10878.html
https://www.suse.com/security/cve/CVE-2020-12723.html
https://bugzilla.suse.com/1171863
https://bugzilla.suse.com/1171864
https://bugzilla.suse.com/1171866
https://bugzilla.suse.com/1172348

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages